print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricebrandy = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local brandyHudFile = "Paletten/hud_fill_brandy.dds"
	local brandyHudFileSmall = "Paletten/hud_fill_brandy_small.dds"
	
    local brandyFilType = g_fillTypeManager:addFillType("BRANDY", g_i18n:getText("brandy"), true, pricebrandy * 2.0, 0.00045, math.rad(10), brandyHudFile, brandyHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hasbrandy=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hasbrandy=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "BRANDY" then
		hasbrandy=true
	end;
		
end;

		if hasmaize and not hasbrandy then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("BRANDY")
		local price = g_fillTypeManager:getFillTypeByName("BRANDY").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("BRANDY")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)